DID Routing

Add your own number

Register a phone number you already own (BYO) using your own telephony provider credentials. To get a new number without owning provider accounts, use the managed business-number flow instead.

POST
/dids

Register a phone number you already own (BYO) using your own telephony provider credentials. To get a new number without owning provider accounts, use the managed business-number flow instead.

Authorization

ApiKeyAuth
X-API-Key<token>

Voice platform authentication secret. Create one from the API Keys endpoint or your dashboard.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/dids" \  -H "Content-Type: application/json" \  -d '{    "didNumber": "+918045551234",    "provider": "plivo",    "bearerToken": "your_provider_auth_token",    "isDefault": false,    "clientId": "AC123"  }'
{  "id": "string",  "didNumber": "string",  "provider": "string",  "mode": "byo",  "countryCode": "string",  "didType": "mobile",  "agentId": "string",  "isDefault": true,  "provisioningStatus": "string",  "updatedAt": "string"}
{  "statusCode": 400,  "message": [    "name should not be empty"  ],  "error": "Bad Request"}
{  "statusCode": 401,  "message": "Unauthorized",  "error": "Unauthorized"}